/*
 * Copyright 2009-2010 Nanjing RedOrange ltd (http://www.red-orange.cn)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package redora.exceptions;

/**
 * Highest level exception by Redora. Yu can use it as an catch all exception,
 * just like IOException when doing stuff with files in J2SE.
 * <br>
 * Try not to throw this exception in your code, use one of the inherited exceptions.
 *
 * @author Nanjing RedOrange (http://www.red-orange.cn)
*/
public class RedoraException extends Exception {
    private static final long serialVersionUID = 1L;

    public RedoraException(String s, Exception e) {
        super(s, e);
    }

    public RedoraException(String s) {
        super(s);
    }
    public RedoraException(Exception e) {
        super(e);
    }
}
